Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventSetting Class Reference

A GdkEventSetting C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventSetting:

List of all members.

## Public Member Functions

Accessors

- GdkEventSetting * gdk_event_setting () const
    Get a pointer to the GdkEventSetting structure.
- SettingAction action () const
    Returns what happened to the setting (SETTING_ACTION_NEW, SETTING_ACTION_CHANGED or SETTING_ACTION_DELETED).
- String name () const
    Returns the name of the setting.

## Detailed Description

A GdkEventSetting C++ wrapper class.

An EventSetting is generated when a setting is modified.

The event type is SETTING.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3